PLATINUM DOCS
ApiVolumes

GET /v1/volumes/{id}/attachments

GET
/v1/volumes/{id}/attachments

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://example.com/v1/volumes/string/attachments"
[  {    "id": "string",    "volume_id": "string",    "sandbox_id": "string",    "host_id": "string",    "mount_path": "string",    "subpath": "string",    "mode": "rw",    "driver": "local",    "state": "pending",    "error": "string",    "attached_at": "string",    "detached_at": "string",    "created_at": "string",    "updated_at": "string",    "consistency": {      "model": "close-to-open",      "atomic_append": true,      "advisory_locks": true,      "shared_file_writes": "unsafe",      "attachment_model": "single-writer",      "safe_pattern": "string"    },    "durability": {      "class": "remote-object-store",      "acknowledged_writes": "accepted-by-the-remote-object-store",      "replicated": "unavailable",      "scope": "single-region-single-bucket",      "buffered_writes": "not-observable",      "atomic_multi_file_snapshot": false,      "barrier_supported": true,      "verification": "barrier"    }  }]
Empty